<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['str-title'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['street'])) puterror2($TEXT['error-str1']);
  if(strlen($_POST['street'])>200) puterror2($TEXT['error-str2']);

  if(isset($_POST['street'])) $street=trim($_POST['street']);
    else $street="";
     if (empty($street)) puterror2($TEXT['error-str3']);

  $_POST['street'] = rep($_POST['street']);

  $query_chk = "SELECT `street` FROM `tbl_street` WHERE `street`='".$_POST['street']."' ";
     $result_chk = mysql_query($query_chk);
     if(!$result_chk) puterror2($TEXT['error-tbl3']);
       if(mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-str1'];
  $what = $_POST['street'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO tbl_street ( `str_id` , `street` ) VALUES ( NULL , '".$_POST['street']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-str4']);
  require_once "../util/bottom.php";
?>
